      SUBROUTINE ARRAYINIT2(iarray,nstart,nend,mstart,mend)

C    ARRAYINIT INITIALIZES ALL ELEMENTS IN A TWO DIMENSIONAL
C    INTEGER ARRAY TO ZERO

      dimension iarray(nstart:nend,mstart:mend)

      do 50 m=mstart,mend
       do 55 n=nstart,nend
       
        iarray(n,m)=0

55     continue
50    continue


      return
      end
